package xyz.etztech.qol.listeners;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerLoginEvent;
import xyz.etztech.qol.QoL;

public class JoinListener implements Listener {

    private QoL plugin;

    public JoinListener(QoL plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onJoin(PlayerJoinEvent event) {

        // First login
        final Player player = event.getPlayer();
        if (!player.hasPlayedBefore()) {
            Bukkit.getScheduler().scheduleSyncDelayedTask(plugin, () -> {
                for (Player p : Bukkit.getServer().getOnlinePlayers()) {
                    if (player != p) {
                        p.sendMessage(ChatColor.GREEN + player.getName() + " is new here! Be sure to welcome them!");
                    } else {
                        p.sendMessage(ChatColor.GREEN + "Welcome, " + player.getName() + "! Check out /rules and then /apply!");
                    }
                }
            }, 30); // ~1.5 seconds


        }
    }

}
